#include "regismodule.h"
#include "message.h"
#include <time.h>

RegisModule::RegisModule() : regisEnable(false)
{
    std::srand(time(NULL));
    noms.push_back("Le chat");
    noms.push_back("La passoire");
    noms.push_back("Le canapé");
    noms.push_back("L'ivrogne");
    noms.push_back("Robert");
    noms.push_back("Le policier");
    noms.push_back("une pastèque");
    noms.push_back("un ordinateur");
    noms.push_back("une voiture");
    noms.push_back("le chien");
    verbes.push_back("troue");
    verbes.push_back("aime");
    verbes.push_back("jette");
    verbes.push_back("saute au dessus de");
    verbes.push_back("tourne autour de");
    verbes.push_back("s'assied sur");
    verbes.push_back("pense à");
    verbes.push_back("vient de trouver");
    verbes.push_back("se frotte à");
    adjectifs.push_back("noir");
    adjectifs.push_back("ivre");
    adjectifs.push_back("en mauvais état");
    adjectifs.push_back("blanc");
    adjectifs.push_back("durci");
    adjectifs.push_back("en fer");
    adjectifs.push_back("rugueux");
}

bool RegisModule::messageHandler(Message msg)
{
    if(msg.args.contains("régis ?"))
    {
        int nom1 = std::rand() % noms.size();
        int nom2 = std::rand() % noms.size();
        int adjectif = std::rand() % adjectifs.size();
        int verbe = std::rand() % verbes.size();
        answer = say(noms[nom1] + " " + adjectifs[adjectif] + " " + verbes[verbe] + " " + noms[nom2] + ".");
        return true;
    }
    else if(msg.args.compare("!initrégis") == 0)
    {
        regisEnable = true;
        setNick("il_est_con_Regis");
        answer = QString("NICK %1\r\n").arg(getNick());
        return true;
    }

    return false;
}

QString RegisModule::getName()
{
    return "regis";
}
